List Domain Groups
curl --request GET \
--url https://api.geogen.io/v1/domain-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geogen.io/v1/domain-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geogen.io/v1/domain-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"primaryEntityUuid": "<string>",
"entityTrackingId": "<string>",
"entities": [
{
"entityId": "<string>",
"entityUuid": "<string>",
"name": "<string>",
"target": "<string>",
"faviconUrl": "<string>",
"isPrimary": true,
"inWorkspace": true
}
],
"createdAt": 123,
"updatedAt": 123
}
],
"count": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"retryAfter": 123
}Domain Groups
List Domain Groups
List all domain groups in the workspace. A domain group merges analytics for multiple entities that represent the same brand into a single entry.
Provide the optional groupId query parameter to fetch a single group by its ID, or entityId to filter to groups scoped to a specific entity tracking.
GET
/
domain-groups
List Domain Groups
Authorizations
API key authentication. Format: Bearer wsk_your_api_key
Query Parameters
When provided, returns a single domain group by ID.
When provided, only returns groups scoped to this entity tracking (or legacy groups that have no tracking scope).

